Page 6 of 7 FirstFirst ... 4567 LastLast
Results 51 to 60 of 65

Thread: GIMP 2.6 release on FTP

  1. #51

    Re: GIMP 2.6 release on FTP

    AJB, did you install the corresponding .deb for your Ubuntu release version?
    "A smooth sea never made a skilled mariner"
    My kickawesome web design business...powered by Ubuntu

  2. #52
    Join Date
    Apr 2008
    Beans
    230

    Re: GIMP 2.6 release on FTP

    Quote Originally Posted by maruchan View Post
    OK, so you probably should go into Synaptic and remove all the Gimp stuff that's there. If it wants to remove Ubuntu Desktop, that's fine. UD is just a wrapper (a "metapackage") around a bunch of software, so it won't be removing the software itself, just the wrapper. No biggie.

    After Gimp and gimp-python is completely removed, try again.
    I think I remember losing ubuntu-desktop once before, and nothing worked. I ended up having to re-install Ubuntu. I looked up ubuntu-desktop, and found this: http://packages.ubuntu.com/gutsy/ubuntu-desktop. The list of things that depend on ubuntu-desktop is HUGE.
    Steve

  3. #53

    Re: GIMP 2.6 release on FTP

    Typically you would remove Ubuntu-desktop in cases like this. Then, when you do your next dist-upgrade, you'd reinstall it just prior, and remove any conflicting packages. Google "ok to remove ubuntu-desktop" if you don't believe me
    "A smooth sea never made a skilled mariner"
    My kickawesome web design business...powered by Ubuntu

  4. #54
    Join Date
    Apr 2008
    Beans
    230

    Re: GIMP 2.6 release on FTP

    Quote Originally Posted by maruchan View Post
    Typically you would remove Ubuntu-desktop in cases like this. Then, when you do your next dist-upgrade, you'd reinstall it just prior, and remove any conflicting packages. Google "ok to remove ubuntu-desktop" if you don't believe me
    OK, I think I understand now. I just have to *remember* to re install it (remembering is not my strong suit).
    I removed ubuntu-desktop, and so was able to successfully install gimp-data from getdeb. Then I ran into problems. If I try to install gimp, it says "Error: Dependency is not satisfiable: libgimp2.0". When I try to install libgimp2.0 from getdeb, I get this: "Error: Dependency is not satisfiable: libglib2.0-0". A synaptic search shows that it is already installed, version 2.14.1-1ubuntu1. Could it be that I need a newer version?
    Steve

  5. #55

    Re: GIMP 2.6 release on FTP

    Yep, you'll need matching, newer versions of those libs, and there is an order in which they need to be installed (which you are finding). Don't they have those libraries linked at getdeb?
    "A smooth sea never made a skilled mariner"
    My kickawesome web design business...powered by Ubuntu

  6. #56
    Join Date
    Apr 2008
    Beans
    230

    Re: GIMP 2.6 release on FTP

    Quote Originally Posted by maruchan View Post
    Yep, you'll need matching, newer versions of those libs, and there is an order in which they need to be installed (which you are finding). Don't they have those libraries linked at getdeb?
    They don't have them at getdeb. I found them at the Debian website. I was able to install a newer version of libglib, but then when I tried to install libgimp2.0, it said there was something wrong with libgtk2.0-0. I tried installing that and it tells me there's a conflict with "metacity". I don't know if I need metacity or not.
    Steve

  7. #57

    Re: GIMP 2.6 release on FTP

    Yeah, it sounds like these packages won't work for your version of Ubuntu...you need a 7.10 version of the various GIMP packages, or you'll need to compile them for yourself. Metacity is what is used to manage windows on your screen and is pretty necessary, IIRC.

    The other option is to upgrade to Ubuntu 8.04, for which getdeb has all the packages.

    Usually when you are told you need a new version of GTK or metacity, that means you'll have to dist-upgrade or compile the packages yourself.
    "A smooth sea never made a skilled mariner"
    My kickawesome web design business...powered by Ubuntu

  8. #58
    Join Date
    Apr 2008
    Beans
    230

    Re: GIMP 2.6 release on FTP

    Quote Originally Posted by maruchan View Post

    The other option is to upgrade to Ubuntu 8.04, for which getdeb has all the packages.
    The button is there, ready to press, on my update manager, to upgrade to 8.04. How painful is it to do that? Will it mess up any "unofficial" programs I have installed? Would I have to re-install ubuntu-desktop first? I really don't want to have to spend hours trying to get things back to normal.
    Steve

  9. #59

    Re: GIMP 2.6 release on FTP

    What do you mean by "unofficial" programs? You'd want to follow these instructions: https://help.ubuntu.com/community/Ha...own%20Problems

    And yes, definitely reinstall ubuntu-desktop before upgrading (although I've forgotten it before and didn't run into any problems).
    "A smooth sea never made a skilled mariner"
    My kickawesome web design business...powered by Ubuntu

  10. #60
    Join Date
    Mar 2007
    Beans
    646

    Re: GIMP 2.6 release on FTP

    Quote Originally Posted by maruchan View Post
    AJB, did you install the corresponding .deb for your Ubuntu release version?
    I just ran the install via terminal and it removed the package but all is working now and I have to say.

    Apart from the gimp head and gegl whats changed on the interface?

Page 6 of 7 FirstFirst ... 4567 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •